package v10

import (
	"cosmossdk.io/log"

	sdk "git.cw.tr/mukan-network/mukan-sdk/types"

	"git.cw.tr/mukan-network/mukan-ibc/modules/core/04-channel/types"
)

type ChannelKeeper interface {
	Logger(ctx sdk.Context) log.Logger
	SetChannel(ctx sdk.Context, portID, channelID string, channel types.Channel)
}
